
QGIS Application - Bug report #16783

QGIS crashes with SIGSEGV on start on OpenSuse

2017-07-03 03:53 PM - Jaroslav Kameník

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:2.18.10 Regression?: No

Operating System: openSUSE 42.2 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24682

Description

It shows splash screen and crashes after "Starting Python" appears in status line.

I am running it at OpenSUSE 42.2, KDE Frameworks 5.35.0, Qt 5.9.1 .

I tried to run it with strace to see where exactly it crushes, here is the end of the log, maybe it helps you.

stat("/usr/share/qgis/python/qgis/core/string", 0x7fff957e8d90) = 1 ENOENT (No such file or directory)

open("/usr/share/qgis/python/qgis/core/string.so", O_RDONLY) = -1 ENOENT (No such file or directory)

open("/usr/share/qgis/python/qgis/core/stringmodule.so", O_RDONLY) = -1 ENOENT (No such file or directory)

open("/usr/share/qgis/python/qgis/core/string.py", O_RDONLY) = -1 ENOENT (No such file or directory)

open("/usr/share/qgis/python/qgis/core/string.pyc", O_RDONLY) = -1 ENOENT (No such file or directory)

stat("/usr/share/qgis/python/qgis/_core", 0x7fff957e8d90) = -1 ENOENT (No such file or directory)

open("/usr/share/qgis/python/qgis/_core.so", O_RDONLY) = 22

fstat(22, {st_mode=S_IFREG|0755, st_size=18375088, ...}) = 0

open("/usr/share/qgis/python/qgis/_core.so", O_RDONLY|O_CLOEXEC) = 23

read(23, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240z<\0\0\0\0\0"..., 832) = 832

fstat(23, {st_mode=S_IFREG|0755, st_size=18375088, ...}) = 0

mmap(NULL, 16707816, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 23, 0) = 0x7f524c9be000

mprotect(0x7f524d5fa000, 2093056, PROT_NONE) = 0

mmap(0x7f524d7f9000, 1781760, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 23, 0xc3b000) =

0x7f524d7f9000

mmap(0x7f524d9ac000, 4328, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) =

0x7f524d9ac000

close(23)                               = 0

mprotect(0x7f524d7f9000, 110592, PROT_READ) = 0

-- SIGSEGV {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=0x10001a4e0} ---

++ killed by SIGSEGV (core dumped) ++

History

#1 - 2017-07-06 02:26 PM - Giovanni Manghi

- Category changed from GUI to Build/Install

- Status changed from Open to Feedback

Installed as described here?

http://www.qgis.org/en/site/forusers/alldownloads.html#opensuse
#2 - 2017-07-17 08:58 AM - Jaroslav Kameník

Giovanni Manghi wrote:

Installed as described here?

http://www.qgis.org/en/site/forusers/alldownloads.html#opensuse

It was installed from OSS science repo, I changed it to repo from your link and it still crashes.

I have tried all three version, all is the same.

#3 - 2017-07-17 10:43 AM - Giovanni Manghi

Jaroslav Kameník wrote:

Giovanni Manghi wrote:

Installed as described here?

http://www.qgis.org/en/site/forusers/alldownloads.html#opensuse

It was installed from OSS science repo, I changed it to repo from your link and it still crashes.

I have tried all three version, all is the same.

can you exclude a local issue by trying on another machine with the same OS?

#4 - 2017-07-27 03:46 PM - Giovanni Manghi

- Subject changed from QGIS crashes with SIGSEGV on start to QGIS crashes with SIGSEGV on start on OpenSuse

#5 - 2017-09-25 04:20 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
